<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/list_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/typeScrollView">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/ui_surface"
            android:overScrollMode="never" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include layout="@layout/reuse_no_connection" />

    <include layout="@layout/reuse_none_data" />

    <include layout="@layout/reuse_data_exception" />

    <HorizontalScrollView
        android:id="@+id/typeScrollView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:scrollbars="none">

        <LinearLayout
            android:id="@+id/typeContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="16dp"
            android:paddingTop="12dp"
            android:paddingRight="16dp"
            android:paddingBottom="16dp">

            <TextView
                android:id="@+id/allType"
                style="@style/UserHomeFilterItem"
                android:layout_marginLeft="0dp"
                android:background="@drawable/button_round_ebf5ff"
                android:text="全部"
                android:textColor="@color/text_theme" />

            <TextView
                android:id="@+id/videoType"
                style="@style/UserHomeFilterItem"
                android:background="@drawable/button_round_f5f5f5"
                android:text="视频"
                android:textColor="@color/text_primary" />

            <TextView
                android:id="@+id/articleType"
                style="@style/UserHomeFilterItem"
                android:background="@drawable/button_round_f5f5f5"
                android:text="帖子"
                android:textColor="@color/text_primary" />

            <TextView
                android:id="@+id/questionType"
                style="@style/UserHomeFilterItem"
                android:background="@drawable/button_round_f5f5f5"
                android:text="提问"
                android:textColor="@color/text_primary" />

            <TextView
                android:id="@+id/answerType"
                style="@style/UserHomeFilterItem"
                android:background="@drawable/button_round_f5f5f5"
                android:text="回答"
                android:textColor="@color/text_primary" />
        </LinearLayout>
    </HorizontalScrollView>
</RelativeLayout>